<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2004-05-06T18:09:01" xmlns:xd="http://schemas.microsoft.com/office/infopath/2003" version="1.0">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:template match="/">
		<xsl:copy-of select="processing-instruction() | comment()"/>
		<xsl:choose>
			<xsl:when test="application">
				<xsl:apply-templates select="application" mode="_0"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="var">
					<xsl:element name="application"/>
				</xsl:variable>
				<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="object" mode="_2">
		<xsl:copy>
			<xsl:attribute name="introduced">
				<xsl:choose>
					<xsl:when test="@introduced">
						<xsl:value-of select="@introduced"/>
					</xsl:when>
					<xsl:otherwise>1997</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="docString">
				<xsl:choose>
					<xsl:when test="@docString">
						<xsl:value-of select="@docString"/>
					</xsl:when>
					<xsl:otherwise>Contains a collection of adjustment values for the specified AutoShape, WordArt object, or connector. Each adjustment value represents one way an adjustment handle can be adjusted. Because some adjustment handles can be adjusted in two ways  for instance, some handles can be adjusted both horizontally and vertically  a shape can have more adjustment values than it has adjustment handles. A shape can have up to eight adjustments.</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="topic">
				<xsl:choose>
					<xsl:when test="@topic">
						<xsl:value-of select="@topic"/>
					</xsl:when>
					<xsl:otherwise>draw</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:choose>
					<xsl:when test="@name">
						<xsl:value-of select="@name"/>
					</xsl:when>
					<xsl:otherwise>Adjustments</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:copy-of select="./text()[1]"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="objects" mode="_1">
		<xsl:copy>
			<xsl:apply-templates select="object" mode="_2"/>
			<xsl:if test="count(object) &lt; 255">
				<xsl:variable name="var">
					<xsl:element name="object"/>
				</xsl:variable>
				<xsl:if test="not(object[1])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[2])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[3])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[4])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[5])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[6])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[7])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[8])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[9])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[10])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[11])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[12])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[13])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[14])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[15])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[16])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[17])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[18])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[19])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[20])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[21])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[22])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[23])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[24])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[25])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[26])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[27])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[28])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[29])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[30])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[31])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[32])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[33])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[34])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[35])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[36])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[37])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[38])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[39])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[40])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[41])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[42])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[43])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[44])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[45])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[46])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[47])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[48])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[49])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[50])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[51])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[52])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[53])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[54])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[55])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[56])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[57])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[58])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[59])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[60])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[61])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[62])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[63])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[64])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[65])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[66])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[67])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[68])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[69])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[70])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[71])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[72])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[73])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[74])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[75])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[76])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[77])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[78])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[79])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[80])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[81])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[82])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[83])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[84])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[85])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[86])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[87])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[88])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[89])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[90])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[91])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[92])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[93])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[94])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[95])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[96])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[97])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[98])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[99])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[100])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[101])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[102])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[103])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[104])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[105])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[106])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[107])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[108])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[109])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[110])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[111])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[112])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[113])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[114])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[115])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[116])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[117])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[118])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[119])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[120])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[121])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[122])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[123])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[124])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[125])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[126])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[127])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[128])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[129])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[130])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[131])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[132])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[133])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[134])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[135])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[136])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[137])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[138])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[139])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[140])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[141])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[142])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[143])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[144])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[145])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[146])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[147])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[148])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[149])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[150])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[151])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[152])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[153])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[154])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[155])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[156])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[157])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[158])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[159])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[160])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[161])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[162])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[163])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[164])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[165])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[166])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[167])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[168])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[169])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[170])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[171])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[172])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[173])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[174])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[175])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[176])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[177])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[178])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[179])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[180])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[181])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[182])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[183])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[184])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[185])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[186])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[187])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[188])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[189])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[190])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[191])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[192])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[193])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[194])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[195])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[196])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[197])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[198])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[199])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[200])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[201])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[202])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[203])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[204])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[205])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[206])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[207])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[208])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[209])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[210])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[211])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[212])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[213])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[214])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[215])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[216])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[217])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[218])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[219])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[220])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[221])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[222])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[223])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[224])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[225])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[226])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[227])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[228])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[229])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[230])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[231])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[232])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[233])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[234])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[235])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[236])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[237])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[238])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[239])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[240])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[241])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[242])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[243])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[244])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[245])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[246])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[247])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[248])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[249])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[250])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[251])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[252])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[253])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[254])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
				<xsl:if test="not(object[255])">
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:if>
			</xsl:if>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="application" mode="_0">
		<xsl:copy>
			<xsl:apply-templates select="objects[1]" mode="_1"/>
			<xsl:element name="my:filter">
				<xsl:choose>
					<xsl:when test="my:filter">
						<xsl:copy-of select="my:filter/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Adjustments</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>